from enum import Enum


class VpnGenError(Enum):
    Success = 0,
    VpnAlreadyExists = 1,
    VpnDoesNotExists = 2,
    ClientAlreadyExists = 3,
    ClientDoesNotExists = 4


class VpnGen:
    def create_vpn(self, vpn_name):
        return VpnGenError.ClientDoesNotExists

    def remove_vpn(self, vpn_name):
        return VpnGenError.ClientDoesNotExists

    def create_client(self, vpn_name, client_name):
        return VpnGenError.ClientDoesNotExists

    def remove_client(self, vpn_name, client_name):
        return VpnGenError.ClientDoesNotExists

    def rebuild_clients(self, vpn_name):
        return VpnGenError.ClientDoesNotExists
